Make "First name" and "Last name" optional (not required) in user's settings
Description

Reasoning:

in some Redmine installations first and last name may not be required as people might not know each other in person. Login by

itself may be enough to fulfill the need for identification (see Github, Twitter and so on). This is especially true for open

source projects communities.

some people may not like to be forced to resign from their privacy. When user is forced to provide data he does not want to,

he will probably provide fake data. Value of fake data is not greater that that of no data. This is related to #28106.

there is already option in Redmine to set user display format to login only (instead of first/last name).

some jurisdictions may require sites that gather personal data to comply with specific laws. Again if Redmine is used by

open source project communities it may place an unnecessary burden on site administrators.

some communities largely make use of only one name and requiring 2 names is requiring impossible. Related: #1595

I propose to either:

1. Make first and last name optional

or

2. Add administrative setting to control whether first and last names are optional or required.

Related issues:

Related to Redmine - Feature #1595: Make last name an optional field New 2008-07-07

Has duplicate Redmine - Feature #33791: "First Name" and "Last Name" as manda... Closed

History

#1 - 2018-10-11 21:45 - crypto gopher

Should be "Feature", not "Defect"... My mistake :/

#2 - 2018-10-12 02:51 - Go MAEDA

- Tracker changed from Defect to Feature

#3 - 2018-10-12 02:51 - Go MAEDA

- Related to Feature #1595: Make last name an optional field added

#4 - 2018-10-12 18:31 - Kyra 

I think "Defect" is the correct categorization. Many people do not have last names, and there are entire cultures where this is common: e.g. Javanese

people in Indonesia. Even in the United States, the western cultural norms are not legal requirements, as you can have a single name as I do. 

https://en.wikipedia.org/wiki/Mononymous_person#Modern_times

#5 - 2020-01-06 10:36 - Robert Röttger

+1 for this ticket

#6 - 2020-08-01 11:41 - Mischa The Evil

- Has duplicate Feature #33791: "First Name" and "Last Name" as mandatory fields? added
